.musicPlayerModalMobile {
  bottom: 0;
  width: 300px;
  max-width: 320px;
  height: 90px;
  padding: 10px;
  background: #252020;
  border-radius: 10px;
  box-shadow: 0 4px 28px rgba(0, 0, 0, 0.6);
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  background-clip: padding-box;
}

.musicPlayerModalMobile::before {
  content: var(--before-content, "");
  position: absolute;
  top: -2px;
  left: -2px;
  right: -2px;
  bottom: -2px;
  z-index: -1;
  border-radius: 12px;
}

.outerMusicPlayerControlsMobile {
  display: flex;
  gap: 35px;
  align-items: center;
}

.musicPlayerControlsMobile {
  display: flex;
  gap: 16px;
  align-items: center;
}

.playPauseButtonMobile {
  border: none;
  border-radius: 50%;
  cursor: pointer;
  width: 50px;
  height: 50px;
  transition: background-color 0.3s ease;
  display: flex;
  justify-content: center;
  align-items: center;
}

.prevSongButtonMobile {
  border: 1px solid #e7e6e1;
  border-radius: 50%;
  cursor: pointer;
  width: 30px;
  height: 30px;
  background-size: 40%;
  background-repeat: no-repeat;
}

.nextSongButtonMobile {
  border: 1px solid #e7e6e1;
  border-radius: 50%;
  cursor: pointer;
  width: 30px;
  height: 30px;
  background-size: 40%;
  background-repeat: no-repeat;
}

.soundButtonMobile {
  border: none;
  border-radius: 50%;
  cursor: pointer;
  width: 30px;
  height: 30px;
  background-size: 70%;
  background-repeat: no-repeat;
  background-color: "transparent";
  color: #c9c8c4;
}

.diceButtonMobile {
  border: none;
  border-radius: 50%;
  cursor: pointer;
  width: 30px;
  height: 30px;
  background-image: url("https://cdn1.suno.ai/groove-assets/public/icons/Union.svg"),
    url("/auras/Aura-1.png") !important;
  background-repeat: no-repeat;
  background-position: center;
  background-size: 45%, cover;
}

.prevSongButtonMobile {
  background-image: url("https://cdn1.suno.ai/groove-assets/public/icons/Previous.svg");
}

.nextSongButtonMobile {
  background-image: url("https://cdn1.suno.ai/groove-assets/public/icons/Next.svg");
}

.diceButtonMobile {
  background-image: url("https://cdn1.suno.ai/groove-assets/public/icons/Union.svg");
}

.soundButtonMobile {
  background-image: url("https://cdn1.suno.ai/groove-assets/public/icons/Mute.svg");
}

.playPauseButtonMobile,
.prevSongButtonMobile,
.nextSongButtonMobile,
.soundButtonMobile,
.diceButtonMobile {
  background-position: center;
}

.musicPlayerProgressMobile {
  width: 100%;
  height: 5px;
  background: rgba(255, 255, 255, 0.1);
  position: relative;
  margin-top: 12px;
  border-radius: 2.5px;
}

.musicPlayerProgressBarMobile {
  width: 50%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  border-radius: 2.5px;
}

.dotIndicatorsMobile {
  display: flex;
  justify-content: center;
  margin-top: 10px;
}

.dotMobile {
  width: 8px;
  height: 8px;
  border-radius: 50%;
  background-color: #ccc;
  margin: 0 4px;
}

.dotMobile.active {
  background-color: #ff44ec;
}

.hoverDotMobile {
  position: absolute;
  top: 50%;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background-color: #fff;
  transform: translate(-50%, -50%);
  z-index: 2;
  cursor: pointer;
}
